<?php

namespace Devurai\AcceptbluePaymentPro\DTOs\AcceptBlueVoidResponse;

use Devurai\AcceptbluePaymentPro\DTOs\ABVoidRefundResponse;
use Devurai\AcceptbluePaymentPro\DTOs\BaseDTO;

class AcceptBlueVoidResponse extends BaseDTO implements ABVoidRefundResponse
{

    public function getVersion(): string
    {
        return $this->response['version'] ?? 'null';
    }

    public function getStatus(): string
    {
        return $this->response['status'] ?? 'null';
    }

    public function getStatusCode(): string
    {
        return $this->response['status_code'] ?? 'null';
    }

    public function getErrorMessage(): string
    {
        return $this->response['error_message'] ?? 'null';
    }

    public function getErrorCode(): string
    {
        return $this->response['error_code'] ?? 'null';
    }

    public function getErrorDetails(): string
    {
        return $this->response['error_details'] ?? 'null';
    }
}